# Uses of Class
org.springframework.http.ProblemDetail

Packages that use ProblemDetail
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.web
Common, generic interfaces that define minimal boundary points between Spring's web infrastructure and other framework modules.
org.springframework.web.bind
Provides web-specific data binding functionality.
org.springframework.web.context.request.async
Support for asynchronous request processing.
org.springframework.web.multipart
Multipart resolution framework for handling file uploads.
org.springframework.web.multipart.support
Support classes for the multipart resolution framework.
org.springframework.web.server
Core interfaces and classes for Spring's generic, reactive web support.

## Uses of ProblemDetail in org.springframework.http

Methods in org.springframework.http that return ProblemDetail
Modifier and Type
Method
Description
`static ProblemDetail`
ProblemDetail.`forStatus(int status)`
Create a `ProblemDetail` instance with the given status value.
`static ProblemDetail`
ProblemDetail.`forStatus(HttpStatusCode status)`
Create a `ProblemDetail` instance with the given status code.
`static ProblemDetail`
ProblemDetail.`forStatusAndDetail(HttpStatusCode status, String detail)`
Create a `ProblemDetail` instance with the given status and detail.
Methods in org.springframework.http with parameters of type ProblemDetail
Modifier and Type
Method
Description
`static ResponseEntity.HeadersBuilder<?>`
ResponseEntity.`of(ProblemDetail body)`
Create a new `ResponseEntity.HeadersBuilder` with its status set to `getStatus()` and its body is set to `ProblemDetail`.
Constructors in org.springframework.http with parameters of type ProblemDetail
Modifier
Constructor
Description
`protected`
`ProblemDetail(ProblemDetail other)`
Copy constructor that a subclass can use to re-create and extend a `ProblemDetail` with additional properties.

## Uses of ProblemDetail in org.springframework.web

Methods in org.springframework.web that return ProblemDetail
Modifier and Type
Method
Description
`ProblemDetail`
ErrorResponse.`getBody()`
Return the body for the response, formatted as an RFC 9457 `ProblemDetail` whose `status` should match the response status.
`final ProblemDetail`
ErrorResponseException.`getBody()`
Return the body for the response.
`ProblemDetail`
HttpMediaTypeException.`getBody()`
`ProblemDetail`
HttpRequestMethodNotSupportedException.`getBody()`
`default ProblemDetail`
ErrorResponse.`updateAndGetBody(org.springframework.context.MessageSource messageSource, Locale locale)`
Use the given `MessageSource` to resolve the `type`, `title`, and `detail` message codes, and then use the resolved values to update the corresponding fields in `ErrorResponse.getBody()`.
Methods in org.springframework.web with parameters of type ProblemDetail
Modifier and Type
Method
Description
`static ErrorResponse.Builder`
ErrorResponse.`builder(Throwable ex, ProblemDetail problemDetail)`
Variant of `ErrorResponse.builder(Throwable, HttpStatusCode, String)` for use with a custom `ProblemDetail` instance.
`void`
ErrorResponse.Interceptor.`handleError(ProblemDetail detail, ErrorResponse errorResponse)`
Handle the given `ProblemDetail` that's going to be rendered, and the `ErrorResponse` it originates from, if applicable.
Constructors in org.springframework.web with parameters of type ProblemDetail
Modifier
Constructor
Description
``
`ErrorResponseException(HttpStatusCode status, ProblemDetail body, Throwable cause)`
Constructor with a given `ProblemDetail` instance, possibly a subclass of `ProblemDetail` with extended fields.
``
`ErrorResponseException(HttpStatusCode status, ProblemDetail body, Throwable cause, String messageDetailCode, Object[] messageDetailArguments)`
Constructor with a given `ProblemDetail`, and a `MessageSource` code and arguments to resolve the detail message with.

## Uses of ProblemDetail in org.springframework.web.bind

Methods in org.springframework.web.bind that return ProblemDetail
Modifier and Type
Method
Description
`ProblemDetail`
MethodArgumentNotValidException.`getBody()`
`ProblemDetail`
ServletRequestBindingException.`getBody()`

## Uses of ProblemDetail in org.springframework.web.context.request.async

Methods in org.springframework.web.context.request.async that return ProblemDetail
Modifier and Type
Method
Description
`ProblemDetail`
AsyncRequestTimeoutException.`getBody()`

## Uses of ProblemDetail in org.springframework.web.multipart

Methods in org.springframework.web.multipart that return ProblemDetail
Modifier and Type
Method
Description
`ProblemDetail`
MaxUploadSizeExceededException.`getBody()`

## Uses of ProblemDetail in org.springframework.web.multipart.support

Methods in org.springframework.web.multipart.support that return ProblemDetail
Modifier and Type
Method
Description
`ProblemDetail`
MissingServletRequestPartException.`getBody()`
Return the body for the response, formatted as an RFC 9457 `ProblemDetail` whose `status` should match the response status.

## Uses of ProblemDetail in org.springframework.web.server

Methods in org.springframework.web.server that return ProblemDetail
Modifier and Type
Method
Description
`ProblemDetail`
ResponseStatusException.`updateAndGetBody(org.springframework.context.MessageSource messageSource, Locale locale)`